> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AI Avatar v2 items

> Retrieve a list of videos, with an optional ids param to filter vdieo by their UUIDs.



## OpenAPI

````yaml get /api/lipsyncs_v2/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/lipsyncs_v2/:
    get:
      tags:
        - lipsyncs_v2
      description: >-
        Retrieve a list of videos, with an optional ids param to filter vdieo by
        their UUIDs.
      operationId: lipsyncs_v2_list
      parameters:
        - in: query
          name: ids
          schema:
            type: string
            minLength: 1
          description: >-
            Comma-separated list of UUIDs to filter. Maximum 100 entries
            allowed.
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MultiAvatarLipsyncOutput'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    MultiAvatarLipsyncOutput:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          nullable: true
          description: The name of the lipsync request.
          maxLength: 255
        output:
          type: string
          nullable: true
          readOnly: true
          description: Output video
        video_thumbnail:
          type: string
          format: uri
          readOnly: true
          description: Generated Video Thumbnail URL
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
        credits_used:
          type: number
          description: Credits used in this API call
          readOnly: true
        duration:
          type: integer
          readOnly: true
          description: Duration of the video in seconds
        progress:
          type: string
          readOnly: true
        failed_reason:
          type: string
          readOnly: true
          nullable: true
          description: The reason for failure, if the lipsync request failed
        media_job:
          type: string
          format: uuid
          nullable: true
          description: The media job associated with the lipsync request.
        status:
          type: string
          readOnly: true
          description: Status of the lipsync request
        webhook_url:
          type: string
          format: uri
          nullable: true
          description: The webhook URL to be called upon completion of the lipsync request
          maxLength: 200
        preview:
          type: string
          nullable: true
          readOnly: true
          description: Preview video
        editor_url:
          type: string
          nullable: true
          readOnly: true
          description: >-
            Editor URL for the video. Expires in 24 hours. Available only if
            your API account has API editor access enabled. 
        aspect_ratio:
          allOf:
            - $ref: '#/components/schemas/AspectRatioBc4Enum'
          description: |-
            The aspect ratio of the video

            * `16x9` - Ratio 16 9
            * `1x1` - Ratio 1 1
            * `9x16` - Ratio 9 16
        model_version:
          allOf:
            - $ref: '#/components/schemas/ModelVersion699Enum'
          description: >-
            Model version for the avatar, 'standard', 'aurora_v1' or
            'aurora_v1_fast'. Default is 'standard'. Standard model costs 5
            credits per 30 seconds video, Aurora_v1 model costs 1 credit per
            second, and Aurora_v1_fast renders faster with lower quality for 0.5
            credits per second.


            * `standard` - Standard

            * `aurora_v1` - Aurora v1

            * `aurora_v1_fast` - Aurora v1 Fast
        video_inputs:
          type: array
          items: {}
          readOnly: true
      required:
        - aspect_ratio
        - created_at
        - credits_used
        - duration
        - editor_url
        - failed_reason
        - id
        - output
        - preview
        - progress
        - status
        - updated_at
        - video_inputs
        - video_thumbnail
    AspectRatioBc4Enum:
      enum:
        - 16x9
        - 1x1
        - 9x16
      type: string
      description: |-
        * `16x9` - Ratio 16 9
        * `1x1` - Ratio 1 1
        * `9x16` - Ratio 9 16
    ModelVersion699Enum:
      enum:
        - standard
        - aurora_v1
        - aurora_v1_fast
      type: string
      description: |-
        * `standard` - Standard
        * `aurora_v1` - Aurora v1
        * `aurora_v1_fast` - Aurora v1 Fast
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````